<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateFormLocationTable extends Migration {

	public function up()
	{
		Schema::create('form_location', function(Blueprint $table) {
			$table->increments('id');
			$table->smallInteger('form_id');
			$table->smallInteger('user_id')->nullable();
			$table->smallInteger('vehicle_id')->nullable();
			$table->tinyInteger('checkbox')->nullable();
			$table->string('file_name', 255)->nullable();
			$table->string('file_thumbnail', 255)->nullable();
			$table->string('file_type', 255)->nullable();
			$table->date('expiration_date')->nullable();
			$table->string('notes', 255)->nullable();
			$table->timestamps();
			$table->timestamp('deleted_at')->nullable();
		});
	}

	public function down()
	{
		Schema::drop('form_location');
	}
}