<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateFuelConsumptionTable extends Migration {

	public function up()
	{
		Schema::create('fuel_consumption', function(Blueprint $table) {
			$table->increments('id');
			$table->smallInteger('creator_id')->nullable();
			$table->smallInteger('driver_id')->nullable();
			$table->smallInteger('vehicle_id')->nullable();
			$table->date('entered_date')->nullable();
			$table->integer('current_mileage')->nullable();
			$table->integer('quantity')->nullable();
			$table->float('total_price', 8,2)->nullable();
			$table->timestamps();
			$table->float('consumption', 8,2)->nullable();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('fuel_consumption');
	}
}