<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUploadedLocationTable extends Migration {

	public function up()
	{
		Schema::create('uploaded_location', function(Blueprint $table) {
			$table->increments('id');
			$table->string('object_table', 255)->nullable();
			$table->smallInteger('object_id')->nullable();
			$table->string('file_name', 255)->nullable();
			$table->string('file_thumbnail', 255)->nullable();
			$table->string('file_type', 255)->nullable();
			$table->date('expiration_date')->nullable();
			$table->string('notes', 255)->nullable();
			$table->tinyInteger('checkbox')->nullable();
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('uploaded_location');
	}
}