<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateTimesheetTable extends Migration {

	public function up()
	{
		Schema::create('timesheet', function(Blueprint $table) {
			$table->increments('id');
			$table->smallInteger('user_id')->nullable();
			$table->datetime('timesheet_entered')->nullable();
			$table->datetime('timesheet_startTime')->nullable();
			$table->datetime('timesheet_endTime')->nullable();
			$table->smallInteger('type')->nullable();
			$table->datetime('timesheet_approved')->nullable();
			$table->smallInteger('timesheet_approver')->nullable();
			$table->string('notes', 255)->nullable();
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('timesheet');
	}
}